<?php

/**
 * @file
 * Manages PMB catalog templates.
 */

/**
 * Get locations template.
 *
 * @param array $locations_and_sections
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_catalog_locations($locations_and_sections, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_catalog') . '/templates/pmb_catalog.locations.tpl.php');
  return $template;
}

/**
 * Get location template.
 *
 * @param array $location
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_catalog_location($location, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_catalog') . '/templates/pmb_catalog.location.tpl.php');
  return $template;
}

/**
 * Get section template.
 *
 * @param array $location
 * @param array $section
 * @param array $notices
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_catalog_section($location, $section, $notices, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_catalog') . '/templates/pmb_catalog.section.tpl.php');
  return $template;
}

/**
 * Get shelves template.
 *
 * @param array $shelves
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_catalog_shelves($shelves, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_catalog') . '/templates/pmb_catalog.shelves.tpl.php');
  return $template;
}

/**
 * Get shelf template.
 *
 * @param array $shelf
 * @param array $notices
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_catalog_shelf($shelf, $notices, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_catalog') . '/templates/pmb_catalog.shelf.tpl.php');
  return $template;
}

/**
 * Get block_shelf template.
 *
 * @param array $shelf
 * @param array $notices
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_catalog_block_shelf($shelf, $notices, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_catalog') . '/templates/pmb_catalog.block_shelf.tpl.php');
  return $template;
}

/**
 * Get thesauri template.
 *
 * @param array $thesauri
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_catalog_thesauri($thesauri, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_catalog') . '/templates/pmb_catalog.thesauri.tpl.php');
  return $template;
}

/**
 * Get category template.
 *
 * @param array $category
 * @param array $notices
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_catalog_category($category, $notices, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_catalog') . '/templates/pmb_catalog.category.tpl.php');
  return $template;
}

/**
 * Get serials template.
 *
 * @param array $serials
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_catalog_serials($serials, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_catalog') . '/templates/pmb_catalog.serials.tpl.php');
  return $template;
}
