<?php

/**
 * @file
 * Manages PMB reader templates.
 */

/**
 * Get reader account template.
 *
 * @param array $reader
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_reader_account($reader, $parameters=array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_reader') . '/templates/pmb_reader.account.tpl.php');
  return $template;
}

/**
 * Get reader loans template.
 *
 * @param array $reader
 * @param array $loans
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_reader_loans($reader, $loans, $parameters=array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_reader') . '/templates/pmb_reader.loans.tpl.php');
  return $template;
}

/**
 * Get reader suggestions template.
 *
 * @param array $reader
 * @param array $suggestions
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_reader_suggestions($reader, $suggestions, $parameters=array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_reader') . '/templates/pmb_reader.suggestions.tpl.php');
  return $template;
}

/**
 * Get reader reservations template.
 *
 * @param array $reader
 * @param array $reservations
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_reader_reservations($reader, $reservations, $parameters=array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_reader') . '/templates/pmb_reader.reservations.tpl.php');
  return $template;
}

/**
 * Get reader reading lists template.
 *
 * @param array $reader
 * @param array $reading_lists
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_reader_reading_lists($reader, $reading_lists, $parameters=array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_reader') . '/templates/pmb_reader.reading_lists.tpl.php');
  return $template;
}

/**
 * Get reader reading lists template.
 *
 * @param array $reader
 * @param array $reading_lists
 * @param array $notices
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_reader_reading_list($reader, $reading_list, $notices, $parameters=array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_reader') . '/templates/pmb_reader.reading_list.tpl.php');
  return $template;
}

/**
 * Get reader reading lists public template.
 *
 * @param array $reader
 * @param array $reading_lists
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_reader_reading_lists_public($reader, $reading_lists, $parameters=array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_reader') . '/templates/pmb_reader.reading_lists_public.tpl.php');
  return $template;
}

/**
 * Get reader reading list public template.
 *
 * @param array $reader
 * @param array $reading_lists
 * @param array $notices
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_reader_reading_list_public($reader, $reading_list, $notices, $parameters=array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_reader') . '/templates/pmb_reader.reading_list_public.tpl.php');
  return $template;
}

/**
 * Get reader cart form template.
 *
 * @param array $form
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_reader_cart_form($form) {
  $template = '';
  include(drupal_get_path('module', 'pmb_reader') . '/templates/pmb_reader.form_cart.tpl.php');
  return $template;
}

/**
 * Get reader reading list form template.
 *
 * @param array $form
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_reader_reading_list_form($form) {
  $template = '';
  include(drupal_get_path('module', 'pmb_reader') . '/templates/pmb_reader.form_reading_list.tpl.php');
  return $template;
}
