<?php

/**
 * @file
 * Manages PMB search templates.
 */

/**
 * Get pmb_catalog.search_form template.
 *
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_search_base_form($form) {
  $template = '';
  include(drupal_get_path('module', 'pmb_search') . '/templates/pmb_search.base_form.tpl.php');
  return $template;
}

/**
 * Get pmb_catalog.search_result template.
 *
 * @param array $search_terms
 * @param array $search_fields
 * @param array $notices
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_search_base_result($search_terms, $search_fields, $notices, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_search') . '/templates/pmb_search.base_result.tpl.php');
  return $template;
}

/**
 * Get pmb_catalog.search_external_form template.
 *
 * @param array $search_sources
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_search_external_form($form) {
  $template = '';
  include(drupal_get_path('module', 'pmb_search') . '/templates/pmb_search.external_form.tpl.php');
  return $template;
}

/**
 * Get pmb_catalog.search_external_result template.
 *
 * @param array $search_terms
 * @param array $search_sources
 * @param array $search_fields
 * @param array $notices
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_search_external_result($search_terms, $search_sources, $search_fields, $notices, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_search') . '/templates/pmb_search.external_result.tpl.php');
  return $template;
}

/**
 * Get pmb_catalog.search_advanced_form template.
 *
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_search_advanced_form($form) {
  $template = '';
  include(drupal_get_path('module', 'pmb_search') . '/templates/pmb_search.advanced_form.tpl.php');
  return $template;
}
