<?php

/**
 * @file
 * Manages PMB view templates.
 */

/**
 * Get pmb_view.notice_diplay template.
 *
 * @param array $notice
 *   A pmb_unimarc notice.
 * @param string $display_type
 *   Display mode: medium_line, small_line.
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_view_notice_display($notice, $display_type, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_view') . '/templates/pmb_view.notice_display.tpl.php');
  return $template;
}

/**
 * Get pmb_view.notice template.
 *
 * @param array $notice
 *   A pmb_unimarc notice.
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_view_notice($notice, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_view') . '/templates/pmb_view.notice.tpl.php');
  return $template;
}

/**
 * Get pmb_view.notice_info template.
 *
 * @param array $notice
 *   A pmb_unimarc notice.
 * @param string $info (optional)
 *   Info to display.
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_view_notice_info($notice, $info = '') {
  $template = '';
  include(drupal_get_path('module', 'pmb_view') . '/templates/pmb_view.notice_info.tpl.php');
  return $template;
}

/**
 * Get pmb_view.notice_external template.
 *
 * @param array $notice
 *   A pmb_unimarc notice.
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_view_notice_external($notice, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_view') . '/templates/pmb_view.notice_external.tpl.php');
  return $template;
}

/**
 * Get pmb_view.serial_view template.
 *
 * @param array $notice
 *   A pmb_unimarc notice.
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_view_serial($notice, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_view') . '/templates/pmb_view.serial.tpl.php');
  return $template;
}

/**
 * Get pmb_view.bulletin_view template.
 *
 * @param array $bulletin
 *   A pmb_unimarc bulletin array.
 * @param array $serial
 *   A pmb_unimarc serial array.
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_view_bulletin($bulletin, $serial, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_view') . '/templates/pmb_view.issue.tpl.php');
  return $template;
}

/**
 * Get pmb_view.notice_external_diplay template.
 *
 * @param array $notice
 *   A pmb_unimarc notice.
 * @param string $display_type
 *   Display mode: medium_line, small_line.
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_view_notice_external_display($notice, $display_type, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_view') . '/templates/pmb_view.notice_external_display.tpl.php');
  return $template;
}

/**
 * Get pmb_view.author_view template.
 *
 * @param array $author
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_view_author($author, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_view') . '/templates/pmb_view.author.tpl.php');
  return $template;
}

/**
 * Get pmb_view.publisher_view template.
 *
 * @param array $publisher
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_view_publisher($publisher, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_view') . '/templates/pmb_view.publisher.tpl.php');
  return $template;
}

/**
 * Get pmb_view.serie_view template.
 *
 * @param array $serie
 * @param array $parent_publisher
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_view_serie($serie, $parent_publisher, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_view') . '/templates/pmb_view.serie.tpl.php');
  return $template;
}

/**
 * Get pmb_view.subserie_view template.
 *
 * @param array $subserie
 * @param array $parent_serie
 * @param array $parameters (optional)
 * @return
 *   A themed HTML string.
 *
 * @ingroup themeable
 */
function theme_pmb_view_subserie($subserie, $parent_serie, $parameters = array()) {
  $template = '';
  include(drupal_get_path('module', 'pmb_view') . '/templates/pmb_view.subserie.tpl.php');
  return $template;
}
